Skip to main content

Get KYC Tokens by Token ID

Get all KYC tokens associated with a token with pagination support.

Endpoint: GET /api/v1/integration/tokens/{token_id}/kyc-tokens

Authentication: Required (Bearer token)

Required Headers:

Authorization: Bearer <access_token>
X-Target-Server: integration

Path Parameters

ParameterTypeRequiredDescription
token_idstring (UUID)YesToken ID

Query Parameters

ParameterTypeRequiredDescription
pageintegerNoPage number (default: 1)
per_pageintegerNoNumber of items per page (default: 10)

Response

Status: 200 OK

Returns a paginated list of KYC tokens.

{
"distributor_kyc_tokens": [
{
"id": "bd836462-3aeb-4905-88fb-796634a8b121",
"distributor_id": "084a5159-1546-4ade-a7ba-956e0234a417",
"kyc_address_id": "dead60a2-40a3-4566-9891-4a045fb9d68c",
"token_id": "3c4da8b4-99e0-45ca-bb0b-221c3b1272b3",
"chain_id": 137,
"hash": "0x120312038102830123",
"is_approved": true,
"created_at": "2025-12-22T15:44:19.654952Z",
"updated_at": "2025-12-22T15:44:19.654952Z"
}
],
"total": 1,
"page": 1,
"per_page": 10
}

Example cURL Request

curl -X GET 'https://<base-url>/api/v1/integration/tokens/3c4da8b4-99e0-45ca-bb0b-221c3b1272b3/kyc-tokens?page=1&per_page=10' \
-H "Authorization: Bearer <access_token>" \
-H "X-Target-Server: integration"